Index: smf/Themes/default/Packages.template.php
===================================================================
--- smf/Themes/default/Packages.template.php	(revision 1047)
+++ smf/Themes/default/Packages.template.php	(working copy)
@@ -1,5 +1,5 @@
 <?php
-// Version: 1.1; Packages
+// Version: 1.1.8; Packages
 
 function template_main()
 {
@@ -160,6 +160,7 @@
 	}
 		echo '
 			</table>
+			<input type="hidden" name="sc" value="', $context['session_id'], '" />
 		</form>';
 }
 
@@ -255,7 +256,7 @@
 
 	foreach ($context['files'] as $fileinfo)
 		echo '
-						<li><a href="', $scripturl, '?action=packages;sa=examine;package=', $context['filename'], ';file=', $fileinfo['filename'], '" title="', $txt[305], '">', $fileinfo['filename'], '</a> (', $fileinfo['size'], ' ', $txt['package_bytes'], ')</li>';
+						<li><a href="', $scripturl, '?action=packages;sa=examine;package=', $context['filename'], ';file=', $fileinfo['filename'], ';sesc=', $context['session_id'], '" title="', $txt[305], '">', $fileinfo['filename'], '</a> (', $fileinfo['size'], ' ', $txt['package_bytes'], ')</li>';
 
 	echo '
 					</ol>
@@ -323,13 +324,13 @@
 							<td>', ++$i, '.</td>
 							<td>', $file['name'], '</td>
 							<td>', $file['version'], '</td>
-							<td align="right"><a href="', $scripturl, '?action=packages;sa=uninstall;package=', $file['filename'], '">[ ', $txt['smf198b'], ' ]</a></td>
+							<td align="right"><a href="', $scripturl, '?action=packages;sa=uninstall;package=', $file['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['smf198b'], ' ]</a></td>
 						</tr>';
 
 		echo '
 					</table>
 					<br />
-					<a href="', $scripturl, '?action=packages;sa=flush">[ ', $txt['smf198d'], ' ]</a>';
+					<a href="', $scripturl, '?action=packages;sa=flush;sesc=', $context['session_id'], '">[ ', $txt['smf198d'], ' ]</a>';
 	}
 
 	echo '
@@ -434,17 +435,17 @@
 
 		if ($package['can_uninstall'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], '">[ ', $txt['smf198b'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['smf198b'], ' ]</a>';
 		elseif ($package['can_upgrade'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package_upgrade'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package_upgrade'], ' ]</a>';
 		elseif ($package['can_install'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package11'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package11'], ' ]</a>';
 
 		echo '
 								<a href="', $scripturl, '?action=packages;sa=list;package=', $package['filename'], '">[ ', $txt['package14'], ' ]</a>
-								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], '"', $package['is_installed'] && $package['is_current'] ? ' onclick="return confirm(\'' . $txt['package_delete_bad'] . '\');"' : '', '>[ ', $txt['package52'], ' ]</a>
+								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], ';sesc=', $context['session_id'], '"', $package['is_installed'] && $package['is_current'] ? ' onclick="return confirm(\'' . $txt['package_delete_bad'] . '\');"' : '', '>[ ', $txt['package52'], ' ]</a>
 							</td>
 						</tr>';
 		}
@@ -488,17 +489,17 @@
 
 		if ($package['can_uninstall'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], '">[ ', $txt['smf198b'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['smf198b'], ' ]</a>';
 		elseif ($package['can_upgrade'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package_upgrade'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package_upgrade'], ' ]</a>';
 		elseif ($package['can_install'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package11'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package11'], ' ]</a>';
 
 		echo '
 								<a href="', $scripturl, '?action=packages;sa=list;package=', $package['filename'], '">[ ', $txt['package14'], ' ]</a>
-								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], '">[ ', $txt['package52'], ' ]</a>
+								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package52'], ' ]</a>
 							</td>
 						</tr>';
 		}
@@ -542,17 +543,17 @@
 
 		if ($package['can_uninstall'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], '">[ ', $txt['smf198b'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['smf198b'], ' ]</a>';
 		elseif ($package['can_upgrade'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package_upgrade'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package_upgrade'], ' ]</a>';
 		elseif ($package['can_install'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package11'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package11'], ' ]</a>';
 
 		echo '
 								<a href="', $scripturl, '?action=packages;sa=list;package=', $package['filename'], '">[ ', $txt['package14'], ' ]</a>
-								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], '">[ ', $txt['package52'], ' ]</a>
+								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package52'], ' ]</a>
 							</td>
 						</tr>';
 		}
@@ -596,17 +597,17 @@
 
 		if ($package['can_uninstall'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], '">[ ', $txt['smf198b'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=uninstall;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['smf198b'], ' ]</a>';
 		elseif ($package['can_upgrade'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package_upgrade'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package_upgrade'], ' ]</a>';
 		elseif ($package['can_install'])
 			echo '
-								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], '">[ ', $txt['package11'], ' ]</a>';
+								<a href="', $scripturl, '?action=packages;sa=install;package=', $package['filename'], ';sesc=', $context['session_id'], '">[ ', $txt['package11'], ' ]</a>';
 
 		echo '
 								<a href="', $scripturl, '?action=packages;sa=list;package=', $package['filename'], '">[ ', $txt['package14'], ' ]</a>
-								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], '"', $package['is_installed'] ? ' onclick="return confirm(\'' . $txt['package_delete_bad'] . '\');"' : '', '>[ ', $txt['package52'], ' ]</a>
+								<a href="', $scripturl, '?action=packages;sa=remove;package=', $package['filename'], ';sesc=', $context['session_id'], '"', $package['is_installed'] ? ' onclick="return confirm(\'' . $txt['package_delete_bad'] . '\');"' : '', '>[ ', $txt['package52'], ' ]</a>
 							</td>
 						</tr>';
 		}
@@ -753,6 +754,25 @@
 		</table>';
 }
 
+function template_package_confirm()
+{
+	global $context, $settings, $options, $txt, $scripturl;
+
+	echo '
+		<table border="0" width="100%" cellspacing="1" cellpadding="4" class="bordercolor">
+			<tr class="titlebg">
+				<td>' . $context['page_title'] . '</td>
+			</tr>
+			<tr>
+				<td width="100%" align="left" valign="middle" class="windowbg2">
+					', $context['confirm_message'], '<br />
+					<br />
+					<a href="', $context['proceed_href'], '">[ ', $txt['package_confirm_proceed'], ' ]</a> <a href="JavaScript:history.go(-1);">[ ', $txt['package_confirm_go_back'], ' ]</a>
+				</td>
+			</tr>
+		</table>';	
+}
+	
 function template_package_list()
 {
 	global $context, $settings, $options, $txt, $scripturl, $func;
Index: smf/Themes/default/Recent.template.php
===================================================================
--- smf/Themes/default/Recent.template.php	(revision 1047)
+++ smf/Themes/default/Recent.template.php	(working copy)
@@ -1,5 +1,5 @@
 <?php
-// Version: 1.1.5; Recent
+// Version: 1.1.9; Recent
 
 function template_main()
 {
@@ -15,7 +15,7 @@
 		$button_set = array();
 
 		if ($post['can_delete'])
-			$button_set['delete'] = array('text' => 31, 'image' => 'delete.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt[154] . '?\');"', 'url' => $scripturl . '?action=deletemsg2;msg=' . $post['id'] . ';topic=' . $post['topic'] . ';recent;sesc=' . $context['session_id']);
+			$button_set['delete'] = array('text' => 31, 'image' => 'delete.gif', 'lang' => true, 'custom' => 'onclick="return confirm(\'' . $txt[154] . '?\');"', 'url' => $scripturl . '?action=deletemsg;msg=' . $post['id'] . ';topic=' . $post['topic'] . ';recent;sesc=' . $context['session_id']);
 		if ($post['can_reply'])
 		{
 			$button_set['reply'] = array('text' => 146, 'image' => 'reply_sm.gif', 'lang' => true, 'url' => $scripturl . '?action=post;topic=' . $post['topic'] . '.' . $post['start']);
Index: smf/Themes/default/Register.template.php
===================================================================
--- smf/Themes/default/Register.template.php	(revision 1047)
+++ smf/Themes/default/Register.template.php	(working copy)
@@ -1,5 +1,5 @@
 <?php
-// Version: 1.1.5; Register
+// Version: 1.1.10; Register
 
 // Before registering - get their information.
 function template_before()
@@ -360,7 +360,7 @@
 		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
 			function onCheckChange()
 			{
-				if (document.forms.postForm.emailActivate.checked)
+				if (document.forms.postForm.emailActivate.checked || document.forms.postForm.password.value == \'\')
 				{
 					document.forms.postForm.emailPassword.disabled = true;
 					document.forms.postForm.emailPassword.checked = true;
@@ -405,7 +405,7 @@
 					<div class="smalltext" style="font-weight: normal;">', $txt['admin_register_password_desc'], '</div>
 				</th>
 				<td width="50%" align="left">
-					<input type="password" name="password" id="password_input" size="30" /><br />
+					<input type="password" name="password" id="password_input" size="30" onchange="onCheckChange();" /><br />
 				</td>
 			</tr><tr class="windowbg2">
 				<th width="50%" align="right">
@@ -427,7 +427,7 @@
 					<div class="smalltext" style="font-weight: normal;">', $txt['admin_register_email_detail_desc'], '</div>
 				</th>
 				<td width="50%" align="left">
-					<input type="checkbox" name="emailPassword" id="emailPassword_check" checked="checked"', !empty($modSettings['registration_method']) && $modSettings['registration_method'] == 1 ? ' disabled="disabled"' : '', ' class="check" /><br />
+					<input type="checkbox" name="emailPassword" id="emailPassword_check" checked="checked" disabled="disabled" class="check" /><br />
 				</td>
 			</tr><tr class="windowbg2">
 				<th width="50%" align="right">
Index: smf/attachments/.htaccess
===================================================================
--- smf/attachments/.htaccess	(revision 1047)
+++ smf/attachments/.htaccess	(working copy)
@@ -2,4 +2,5 @@
 	Order Deny,Allow
 	Deny from all
 	Allow from localhost
-</Files>
\ No newline at end of file
+</Files>
+RemoveHandler .php .php3 .phtml .cgi .fcgi .pl .fpl .shtml
Index: smf/index.php
===================================================================
--- smf/index.php	(revision 1047)
+++ smf/index.php	(working copy)
@@ -5,9 +5,9 @@
 * SMF: Simple Machines Forum                                                      *
 * Open-Source Project Inspired by Zef Hemel (zef@zefhemel.com)                    *
 * =============================================================================== *
-* Software Version:           SMF 1.1.5                                           *
+* Software Version:           SMF 1.1.10                                          *
 * Software by:                Simple Machines (http://www.simplemachines.org)     *
-* Copyright 2006-2007 by:     Simple Machines LLC (http://www.simplemachines.org) *
+* Copyright 2006-2009 by:     Simple Machines LLC (http://www.simplemachines.org) *
 *           2001-2006 by:     Lewis Media (http://www.lewismedia.com)             *
 * Support, News, Updates at:  http://www.simplemachines.org                       *
 ***********************************************************************************
@@ -34,7 +34,7 @@
 	with the URL index.php?action=action-in-url.  Relatively simple, no?
 */
 
-$forum_version = 'SMF 1.1.5';
+$forum_version = 'SMF 1.1.10';
 
 // Get everything started up...
 define('SMF', 1);
@@ -88,8 +88,8 @@
 cleanRequest();
 $context = array();
 
-// Seed the random generator for PHP < 4.2.0.
-if (@version_compare(PHP_VERSION, '4.2.0') == -1)
+// Seed the random generator?
+if (empty($modSettings['rand_seed']) || mt_rand(1, 250) == 69)
 	smf_seed_generator();
 
 // Determine if this is using WAP, WAP2, or imode.  Technically, we should check that wap comes before application/xhtml or text/html, but this doesn't work in practice as much as it should.
@@ -199,7 +199,7 @@
 		}
 	}
 	// If guest access is off, a guest can only do one of the very few following actions.
-	elseif (empty($modSettings['allow_guestAccess']) && $user_info['is_guest'] && (!isset($_REQUEST['action']) || !in_array($_REQUEST['action'], array('login', 'login2', 'register', 'register2', 'reminder', 'activate', 'smstats', 'help', '.xml', 'verificationcode'))))
+	elseif (empty($modSettings['allow_guestAccess']) && $user_info['is_guest'] && (!isset($_REQUEST['action']) || !in_array($_REQUEST['action'], array('coppa', 'login', 'login2', 'register', 'register2', 'reminder', 'activate', 'smstats', 'help', 'verificationcode'))))
 	{
 		require_once($sourcedir . '/Subs-Auth.php');
 		return 'KickGuest';
